@import play.api.libs.json.JsValue
@import play.api.libs.json.JsObject
@import play.api.libs.json.Json
@(content:JsValue)(request: Request[AnyContent])
<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" media="screen" href="@routes.Assets.versioned("bower_components/bootstrap/dist/css/bootstrap.min.css")"/>
    <script src="@routes.Assets.versioned("javascripts/jquery-2.0.3.min.js")" type="text/javascript"></script>
    <script src="@routes.Assets.versioned("bower_components/bootstrap/dist/js/bootstrap.min.js")" type="text/javascript"></script>
    <style>
    .tab-content {
        padding-top: 10px;
        overflow-wrap: anywhere;
    }
    tbody{
        width: 100%;
        position: absolute;
    }
    tr {
        width: 100%;
        display: inline-table;
        table-layout: fixed;
    }
    a {
        color: #ff5722;
    }
    a:focus, a:hover {
        color: #ff5722;
    }
    .btn-close {
        margin-top: 3px;
        margin-right: 3px;
    }
    </style>
</head>
<body>
    <button id="close" class="btn btn-warning btn-close pull-right">Close</button>

    <div>
            <!-- Nav tabs -->
        <ul class="nav nav-tabs" role="tablist">
            <li role="presentation" class="active"><a href="#table" aria-controls="table" role="tab" data-toggle="tab">Data table</a></li>
            <li role="presentation"><a href="#raw" aria-controls="raw" role="tab" data-toggle="tab">Raw data</a></li>
        </ul>

            <!-- Tab panes -->
        <div class="tab-content">
            <div role="tabpanel" class="tab-pane active" id="table">
                <table class="table">
                    <thead>
                        <tr>
                            <th>Property</th>
                            <th>Value</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="active">
                            <th colspan="2">Call</th>
                        </tr>
                        <tr>
                            <th>From</th>
                            <td>@(content \ "caller")</td>
                        </tr>
                        <tr>
                            <th>To</th>
                            <td>@(content \ "callee")</td>
                        </tr>
                        <tr class="active">
                            <th colspan="2">Queue</th>
                        </tr>
                        @for(item <- (content \ "queue").as[JsObject].value) {
                            <tr>
                                <th>@item._1</th>
                                <td>@item._2</td>
                            </tr>
                        }
                        <tr class="active">
                            <th colspan="2">User</th>
                        </tr>
                        @for(item <- (content \ "user").as[JsObject].value) {
                            <tr>
                                <th>@item._1</th>
                                <td>@item._2</td>
                            </tr>
                        }
                        <tr class="active">
                            <th colspan="2">User Data</th>
                        </tr>
                        @for(item <- (content \ "userData").as[JsObject].value) {
                            <tr>
                                <th>@item._1</th>
                                <td>@item._2</td>
                            </tr>
                        }
                    </tbody>
                </table>
            </div>
            <div role="tabpanel" class="tab-pane" id="raw">
                <pre>@Json.prettyPrint(content)</pre>
            </div>
        </div>

    </div>
    <script src="@routes.Assets.versioned("javascripts/thirdParty.sample.js")" type="text/javascript"></script>
</body>
</html>
